# Function layerLoading

- layerLoading(layer, $scope): void

- Provides a function that adds a 'loading 'property (using `Object.defineProperty`) to an ol.layer.Group or a layer with an ol.source.Tile or an ol.source.Image source. This property is true when the layer is loading and false otherwise.

  Example:

       <span ng-if="layer.loading">please wait</span>

  #### Parameters

  - ##### layer: BaseLayer

    layer.

  - ##### $scope: IScope

    Scope.

  #### Returns void

  - Defined in src/misc/decorate.js:107

Generated using TypeDoc